Subject: Re: bug#12463: 24.2; pos-visible-in-window-p gets slower over time

From: Juanma Barranquero <[email-masked]>
Date: Sat, 22 Sep 2012 21:20:48 +0200

On Sat, Sep 22, 2012 at 4:14 PM, Chong Yidong <[email-masked]> wrote:

> Juanma, you can go ahead with your work on
> generalizing Vlibrary_cache, and thanks for waiting.

Well, Vlibrary_cache is already pretty general. I only want to move it
to emacs.c.

Eli and I had talked about forcing the ops that work on Vlibrary_cache
and image_types to not cache anything before dumping, but now that the
entries for xbm and pbm are added the same way that other image
libraries, I wonder whether wouldn't be easier/cleaner to simply set
Vlibrary_cache = Qnil and image_types = NULL just before dumping.

> I left the LIBRARIES issue alone in this patch, but I do think we should
> eliminate the second arg to init-image-library.  I don't see what value
> other than `dynamic-library-alist' could possibly be supplied for this
> argument.  Any objections to that?

Please, go for it.

    Juanma